
# filter: keep current wavetrough if:
#   troughs are within a certain spatial window
#   length of the trough < threshold
def keep_wavetrough(properties, config):

    in_area = False
    for line_pt in properties.line_pts:

        # check if any point is outside filtering area
        if (line_pt.lon > config.wave_filter_lon[0] and line_pt.lon < config.wave_filter_lon[1]
                and line_pt.lat > config.wave_filter_lat[0] and line_pt.lat < config.wave_filter_lat[1]):
            in_area = True

    if not in_area: # no point of line segment in our area
        return False

    if properties.length_deg <= config.degree_len_thr: # too small
        return False

    return True
